trcs(1)

NAME
trcs - convert text files from one codeset to other

SYNOPSIS
trcs -C | -l | -h

trcs [-s] [-f input-codeset ] [-t output-codeset ] [ file ]...

DESCRIPTION
trcs is a program for translation of text files from one codeset to other. When exact translation is impossible it tries to make approximations. For example pseudographic characters are approximated by ASCII characters in codesets that have no pseudographic characters and characters with diacritical marks are approximated by existing characters.

If the option -s or --gen-script is given trcs will generate simple script that invokes tr(1) This is useful if you want to include this in your script or for faster conversion of many files.

If none of -C, -s, -l, -h and their equivalents is given each file will be read assuming it is coded with codeset input-codeset On standard output it will be recoded so to use codeset output-codeset If there is no file given trcs will act as filter. Both input-codeset and output-codeset are case insensitive and default to `cp1251'.

OPTIONS

-C, --copyright
    Display copying conditions and warranty information.

-s, --gen-script
    Generates conversion script for given input and output encodings instead to convert text files.

-l, --list
    List all known codesets with their aliases.

-h, --help
    Display this help and exit.

-f input-codeset, --from[=]input-codeset
    Codeset of the source.

-f output-codeset, --to[=]output-codeset
    Codeset of the output.

EXAMPLES

trcs -fcyrillic -t koi8-r letter.txt
    Convert letter.txt from ISO-8859-5 (cyrillic) to KOI8-R and output the result on standard output.

trcs --from cp437 --to=mik --gen-script >ibm2mik
    Generates script ibm2mik for converting from CP437 to MIK.

sh ibm2mik screen.txt
    Convert screen.txt from CP437 to MIK. Output the result on standard output. Without parameters ibm2mik acts as filter.

AUTHOR
Anton Zinoviev <anton@lml.bas.bg>, <zinoviev@fmi.uni-sofia.bg>

SEE ALSO
tr(1)